#ifndef __AVENATIVA_H__
#define __AVENATIVA_H__

#include "ave.h"
#include "animalnativo.h"

/* @brief Classe Ave, que modela um  Ave do tipo Nativa, que toma Ave e AnimalNativo
*				  como classes pai a herdar seus atributos
* @param 	Métodos públicos:
*					AveNativa - Construtor cria um animal do tipo AveNativa
*
*/
class AveNativa: public Ave, AnimalNativo {
	private:

	public:
		void print(){
							 cout <<"ID: " << id << endl;
							 cout <<"Nome: " << nome << endl;
							 cout <<"Classe: " << classe << endl;
							 cout <<"Cientifico: " << cientifico << endl;
							 cout <<"Sexo: " << sexo << endl;
							 cout <<"Dieta: "<< dieta << endl;
							 cout <<"Batismo: " << batismo << endl;
							 cout <<"Veterinario :" << veterinario << endl;
							 cout <<"Tratador: " << tratador << endl;
							 cout <<"Tamanho Bico :" << tamanho_bico << endl;
							 cout <<"Envergadura: " << envergadura <<endl;
							 cout <<"Ibama: "<< ibama << endl;
							 cout <<"Estado de Origem: " << uf_origem << endl;
							 cout <<"Autorização: " << autorizacao << endl;
							};
		AveNativa(int identity, string clas, string name, string scientific, char sex, float size,
    				string diet, string baptism, Veterinario vet, Tratador caretaker,
    				int beak_size, int wingspan, string biernr, string origin_state, string authorization);
    AveNativa();
		~AveNativa();

};

#endif
