#ifndef __AVEEXOTICA_H__
#define __AVEEXOTICA_H__

#include "ave.h"
#include "animalexotico.h"


/* @brief Classe AveExotica, que modela uma  Ave do tipo Exotico, que toma Ave e AnimalExotico
*				  como classes pai a herdar seus atributos
* @param 	Métodos públicos:
*					AveExotica - Construtor cria um animal do tipo AveExotica
*
*/
class AveExotica: public Ave, AnimalExotico {
	private:

	public:
		friend std::istream& operator >> (std::istream &input, AveExotica &aveexo);
		void print(){
							 cout << "ID: " << id << endl;
							 cout << "Nome: " << nome << endl;
							 cout << "Classe: " << classe << endl;
							 cout << "Cientifico: " << cientifico << endl;
							 cout << "Sexo: " << sexo << endl;
							 cout << "Dieta: "<< dieta << endl;
							 cout << "Batismo: " << batismo << endl;
							 cout << "Veterinario :" << veterinario << endl;
							 cout << "Tratador: " << tratador << endl;
							 cout << "Tamanho Bico :" << tamanho_bico << endl;
							 cout << "Enverdura: " << envergadura <<endl;
							 cout << "Ibama: "<< ibama << endl;
							 cout << "Pais de Origem: " << uf_origem << endl;
							};
		AveExotica(int identity, string clas, string name, string scientific, char sex, float size,
    				string diet, string baptism, Veterinario* vet, Tratador* caretaker,
    				int beak_size, int wingspan, string biernr, string origin_country);
		~AveExotica();

};

#endif
