#ifndef __MAMIFERONATIVO_H__
#define __MAMIFERONATIVO_H__

#include "mamifero.h"
#include "animalnativo.h"

/* @brief Classe Mamifero, que modela um  Mamifero do tipo Nativo, que toma Mamifero e AnimalNativo
*				  como classes pai a herdar seus atributos
* @param 	Métodos públicos:
*					friend std::istream& operator>> (std::istream &input, MamiferoNativo &mamnat);
*					void print() - impressão das informações do animal
*					MamiferoNativo - Construtor cria um animal do tipo MamiferoNativo
*					~MamiferoNativo() - destrutor de MamiferoNativo
*/
class MamiferoNativo: public Mamifero, AnimalNativo {
	private:

	public:
		friend std::istream& operator>> (std::istream &input, MamiferoNativo &mamnat);
		void print(){
							 cout <<"ID: " << id << endl;
							 cout <<"Nome: " << nome << endl;
							 cout <<"Classe: " << classe << endl;
							 cout <<"Cientifico: " << cientifico << endl;
							 cout <<"Sexo: " << sexo << endl;
							 cout <<"Dieta: "<< dieta << endl;
							 cout <<"Batismo: " << batismo << endl;
							 cout <<"Veterinario :" << veterinario << endl;
							 cout <<"Tratador: " << tratador << endl;
							 cout <<"Cor do pelo :" << cor_pelo << endl;
							 cout <<"Ibama: "<< ibama << endl;
							 cout <<"Estado de Origem: " << uf_origem << endl;
							 cout <<"Autorização: " << autorizacao << endl;
							};
		MamiferoNativo(int identity, string clas, string name, string scientific, char sex, float size,
    				string diet, string baptism, Veterinario* vet, Tratador* caretaker,
    				string fur_color, string biernr, string origin_state, string authorization);
		~MamiferoNativo();

};

#endif
