#include "animalexotico.h"


/**
* @brief Construtor cria um AnimalExotico, que toma AnimalSilvestre como classe pai a herdar seus atributos
* @param biernr - IBAMA, origin_country - pais de origem do animal
*/
AnimalExotico::AnimalExotico(string biernr, string origin_country):

							AnimalSilvestre(biernr),
							pais_origem(origin_country)

{}

/**
* @brief Funcao que retorna o pais de origem
* @return pais de origem
*/
string AnimalExotico::getPais_origem(){
	return pais_origem;
}

/**
* @brief Funcao que modifica o pais de origem
* @param origin_country Pais de origem
*/
void AnimalExotico::setPais_origem(string origin_country){
	pais_origem = origin_country;
}


AnimalExotico::~AnimalExotico(){

}
